Как управлять настройками доставки

Используйте вложенный API "Аккаунты", чтобы управлять настройками доставки для всех товаров в вашем аккаунте и связанных с ним дочерних аккаунтах.

Изменения, которые вы вносите в настройки доставки, применяются ко всем товарам. Чтобы изменить информацию о доставке отдельных товаров, используйте Merchant Products API.

Подробнее о том, как задать настройки доставки…

Обзор настроек доставки

Ресурс accounts.shippingSettings позволяет получать и изменять настройки доставки в расширенном аккаунте и всех связанных с ним дочерних аккаунтах.

Расширенные аккаунты обычно используются интеграторами, агрегаторами и партнерами по каналам, которые управляют интернет-магазинами и сервисами API для нескольких компаний. Компании с несколькими интернет-магазинами или брендами, которые продаются на разных сайтах, также могут использовать дочерние аккаунты в рамках одного расширенного аккаунта.

Google может автоматически обновлять расчетное время доставки некоторых товаров.

Как добавить настройки доставки

Чтобы добавить или изменить настройки доставки в аккаунте, используйте метод accounts.shippingSettings.insert.

В приведенном ниже примере запроса заданы цена доставки, программы лояльности, для которых действует эта услуга доставки, и код валюты.

HTTP

POST https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings:insert

{
  "etag": "",
  "name": "accounts/{ACCOUNT_ID}/shippingSetting",
  "services": [
    {
      "deliveryCountries": [
        "{COUNTRY_CODE}"
      ],
      "serviceName": "{SERVICE_NAME}",
      "active": false,
      "deliveryTime": {},
      "loyaltyPrograms": [
        {
          "programLabel": "{PROGRAM_LABEL}"
        }
      ],
      "minimumOrderValue": {
        "amountMicros": {PRICE},
        "currencyCode": "{CURRENCY_CODE}"
      },
      "currencyCode": "USD",
      "rateGroups": [
        {
          "applicableShippingLabels": [
            "{SHIPPING_LABEL}"
          ],
          "singleValue": {
            "flatRate": {
              "amountMicros": 10000000,
              "currencyCode": "USD"
            }
          }
        }
      ]
    }
  ]
}

cURL

curl --request POST \
'https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings:insert' \
--header 'Authorization: Bearer {ACCESS_TOKEN}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"etag":"","name":"accounts/{ACCOUNT_ID}/shippingSetting","services":[{"deliveryCountries":["{COUNTRY_CODE}"],"serviceName":"{SERVICE_NAME}","active":false,"deliveryTime":{},"loyaltyPrograms":[{"programLabel":"{PROGRAM_LABEL}"}],"minimumOrderValue":{"amountMicros":{PRICE},"currencyCode":"{CURRENCY_CODE}"},"currencyCode":"USD","rateGroups":[{"applicableShippingLabels":["{SHIPPING_LABEL}"],"singleValue":{"flatRate":{"amountMicros":10000000,"currencyCode":"USD"}}}]}]}' \
--compressed

Замените следующее:

  • {ACCOUNT_ID} – уникальный идентификатор вашего аккаунта Merchant Center.
  • {COUNTRY_CODE} – код страны, в которой действует услуга, в соответствии со стандартом CLDR (Common Locale Data Repository). Значение должно совпадать с ценами в группах тарифов.
  • {SERVICE_NAME} – название сервиса.
  • {PROGRAM_LABEL} – ярлык программы лояльности, заданный в настройках программы в Merchant Center.
  • {SHIPPING_LABEL} – список транспортных этикеток, определяющих товары, к которым относится группа тарифов.
  • {PRICE} – цена, представленная в виде числа в микроединицах. Например, 1 доллар США = 1 000 000 микро.
  • {CURRENCY_CODE} – валюта цены, указанная с помощью трехбуквенного акронима.

Подробную информацию о полях можно найти в справочной документации.

Тело запроса должно содержать полное тело ресурса accounts.shippingSettings, даже если вы обновляете только один атрибут. Любые значения NULL или отсутствующие значения в теле запроса приведут к обнулению существующих значений.

Вот пример ответа на успешный вызов:

{
  "name": "accounts/{ACCOUNT_ID}/shippingSettings",
  "services": [
    {
      "serviceName": "{SERVICE_NAME}",
      "active": false,
      "deliveryCountries": [
        "{COUNTRY_CODE}"
      ],
      "currencyCode": "{CURRENCY_CODE}",
      "rateGroups": [
        {
          "applicableShippingLabels": [
            "{SHIPPING_LABEL}"
          ],
          "singleValue": {
            "flatRate": {
              "amountMicros": "{PRICE}",
              "currencyCode": "{CURRENCY_CODE}"
            }
          }
        }
      ],
      "shipmentType": "LOCAL_DELIVERY",
      "storeConfig": {
        "storeServiceType": "ALL_STORES",
        "cutoffConfig": {
          "localCutoffTime": {
            "hour": "7",
            "minute": "40"
          },
          "noDeliveryPostCutoff": false
        },
        "serviceRadius": {
          "value": "40",
          "unit": "KILOMETERS"
        }
      }
    }
  ],
  "etag": "OAJCTQgBEAAaRwoEdGVzdBIEIgJVUxoDVVNEIggiBggHECgoACoeCAESDwoNCAESCU9WRVJTSVpFRBoJIgcIAhCAwtcvWAWSAQCaAQQIAhAo"
}

Ниже приведен пример кода, который можно использовать для изменения настроек доставки в определенном аккаунте с помощью клиентских библиотек:

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.DeliveryTime;
import com.google.shopping.merchant.accounts.v1.InsertShippingSettingsRequest;
import com.google.shopping.merchant.accounts.v1.RateGroup;
import com.google.shopping.merchant.accounts.v1.Service;
import com.google.shopping.merchant.accounts.v1.Service.ShipmentType;
import com.google.shopping.merchant.accounts.v1.ShippingSettings;
import com.google.shopping.merchant.accounts.v1.ShippingSettingsServiceClient;
import com.google.shopping.merchant.accounts.v1.ShippingSettingsServiceSettings;
import com.google.shopping.merchant.accounts.v1.Value;
import com.google.shopping.type.Price;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/** This class demonstrates how to insert a ShippingSettings for a Merchant Center account. */
public class InsertShippingSettingsSample {

  private static String getParent(String accountId) {
    return String.format("accounts/%s", accountId);
  }

  public static void insertShippingSettings(Config config) throws Exception {

    // Obtains OAuth token based on the user's configuration.
    GoogleCredentials credential = new Authenticator().authenticate();

    // Creates service settings using the credentials retrieved above.
    ShippingSettingsServiceSettings shippingSettingsServiceSettings =
        ShippingSettingsServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Creates parent to identify where to insert the shippingsettings.
    String parent = getParent(config.getAccountId().toString());

    // Calls the API and catches and prints any network failures/errors.
    try (ShippingSettingsServiceClient shippingSettingsServiceClient =
        ShippingSettingsServiceClient.create(shippingSettingsServiceSettings)) {

      InsertShippingSettingsRequest request =
          InsertShippingSettingsRequest.newBuilder()
              .setParent(parent)
              .setShippingSetting(
                  ShippingSettings.newBuilder()
                      // Etag needs to be an empty string on initial insert
                      // On future inserts, call GET first to get the Etag
                      // Then use the retrieved Etag on future inserts.
                      // NOTE THAT ON THE INITIAL INSERT, YOUR SHIPPING SETTINGS WILL
                      // NOT BE STORED, YOU HAVE TO CALL INSERT AGAIN WITH YOUR
                      // RETRIEVED ETAG.
                      // .setEtag("")
                      .setEtag("PPa=")
                      .addServices(
                          Service.newBuilder()
                              .setServiceName("Canadian Postal Service")
                              .setActive(true)
                              .addDeliveryCountries("CA")
                              .setCurrencyCode("CAD")
                              .setDeliveryTime(
                                  DeliveryTime.newBuilder()
                                      .setMinTransitDays(0)
                                      .setMaxTransitDays(3)
                                      .setMinHandlingDays(0)
                                      .setMaxHandlingDays(3)
                                      .build())
                              .addRateGroups(
                                  RateGroup.newBuilder()
                                      .addApplicableShippingLabels("Oversized")
                                      .addApplicableShippingLabels("Perishable")
                                      .setSingleValue(Value.newBuilder().setPricePercentage("5.4"))
                                      .setName("Oversized and Perishable items")
                                      .build())
                              .setShipmentType(ShipmentType.DELIVERY)
                              .setMinimumOrderValue(
                                  Price.newBuilder()
                                      .setAmountMicros(10000000)
                                      .setCurrencyCode("CAD")
                                      .build())
                              .build())
                      .build())
              .build();

      System.out.println("Sending insert ShippingSettings request");
      ShippingSettings response = shippingSettingsServiceClient.insertShippingSettings(request);
      System.out.println("Inserted ShippingSettings Name below");
      System.out.println(response.getName());
      // You can apply ShippingSettings to specific products by using the `shippingLabel` field
      // on the product.
    } catch (Exception e) {
      System.out.println(e);
    }
  }

  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    insertShippingSettings(config);
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\ShippingSettingsServiceClient;
use Google\Shopping\Merchant\Accounts\V1\DeliveryTime;
use Google\Shopping\Merchant\Accounts\V1\InsertShippingSettingsRequest;
use Google\Shopping\Merchant\Accounts\V1\RateGroup;
use Google\Shopping\Merchant\Accounts\V1\Service;
use Google\Shopping\Merchant\Accounts\V1\Service\ShipmentType;
use Google\Shopping\Merchant\Accounts\V1\ShippingSettings;
use Google\Shopping\Merchant\Accounts\V1\Value;
use Google\Shopping\Type\Price;

/**
 * This class demonstrates how to insert a ShippingSettings for a Merchant Center account.
 */
class InsertShippingSettings
{
    /**
     * A helper function to create the parent string.
     *
     * @param string $accountId The account ID.
     * @return string The parent in the format "accounts/{accountId}".
     */
    private static function getParent(string $accountId): string
    {
        return sprintf("accounts/%s", $accountId);
    }

    /**
     * Inserts shipping settings for the specified Merchant Center account.
     *
     * @param array $config The configuration data containing the account ID.
     * @return void
     */
    public static function insertShippingSettings($config)
    {
        // Gets the OAuth credentials to make the request.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Creates options config containing credentials for the client to use.
        $options = ['credentials' => $credentials];

        // Creates a client.
        $shippingSettingsServiceClient = new ShippingSettingsServiceClient($options);

        // Creates parent to identify where to insert the shippingsettings.
        $parent = self::getParent($config['accountId']);

        // Calls the API and catches and prints any network failures/errors.
        try {
            $request = (new InsertShippingSettingsRequest())
                ->setParent($parent)
                ->setShippingSetting(
                    (new ShippingSettings())
                        // Etag needs to be an empty string on initial insert
                        // On future inserts, call GET first to get the Etag
                        // Then use the retrieved Etag on future inserts.
                        // NOTE THAT ON THE INITIAL INSERT, YOUR SHIPPING SETTINGS WILL
                        // NOT BE STORED, YOU HAVE TO CALL INSERT AGAIN WITH YOUR
                        // RETRIEVED ETAG.
                        ->setEtag("")
                        ->setServices([
                            (new Service())
                                ->setServiceName("Canadian Postal Service")
                                ->setActive(true)
                                ->setDeliveryCountries(["CA"])
                                ->setCurrencyCode("CAD")
                                ->setDeliveryTime(
                                    (new DeliveryTime())
                                        ->setMinTransitDays(0)
                                        ->setMaxTransitDays(3)
                                        ->setMinHandlingDays(0)
                                        ->setMaxHandlingDays(3)
                                )
                                ->setRateGroups(
                                    [(new RateGroup())
                                        ->setApplicableShippingLabels(["Oversized","Perishable"])
                                        ->setSingleValue((new Value())->setPricePercentage("5.4"))
                                        ->setName("Oversized and Perishable items")]
                                )
                                ->setShipmentType(ShipmentType::DELIVERY)
                                ->setMinimumOrderValue(
                                    (new Price())
                                        ->setAmountMicros(10000000)
                                        ->setCurrencyCode("CAD")
                                )
                        ])
                );

            print "Sending insert ShippingSettings request" . PHP_EOL;
            $response = $shippingSettingsServiceClient->insertShippingSettings($request);
            print "Inserted ShippingSettings below" . PHP_EOL;
            print_r($response);
            // You can apply ShippingSettings to specific products by using the `shippingLabel` field
            // on the product.
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();

        // Makes the call to insert shipping settings for the MC account.
        self::insertShippingSettings($config);
    }
}

// Run the script
$sample = new InsertShippingSettings();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import DeliveryTime
from google.shopping.merchant_accounts_v1 import InsertShippingSettingsRequest
from google.shopping.merchant_accounts_v1 import RateGroup
from google.shopping.merchant_accounts_v1 import Service
from google.shopping.merchant_accounts_v1 import ShippingSettings
from google.shopping.merchant_accounts_v1 import ShippingSettingsServiceClient
from google.shopping.merchant_accounts_v1 import Value

_ACCOUNT = configuration.Configuration().read_merchant_info()
_PARENT = f"accounts/{_ACCOUNT}"


def insert_shipping_settings():
  """Inserts a ShippingSettings for a Merchant Center account."""

  # Gets OAuth Credentials.
  credentials = generate_user_credentials.main()

  # Creates a client.
  client = ShippingSettingsServiceClient(credentials=credentials)

  # Creates the request.
  request = InsertShippingSettingsRequest(
      parent=_PARENT,
      shipping_setting=ShippingSettings(
          # Etag needs to be an empty string on initial insert
          # On future inserts, call GET first to get the Etag
          # Then use the retrieved Etag on future inserts.
          # NOTE THAT ON THE INITIAL INSERT, YOUR SHIPPING SETTINGS WILL
          # NOT BE STORED, YOU HAVE TO CALL INSERT AGAIN WITH YOUR
          # RETRIEVED ETAG.
          etag="",
          services=[
              Service(
                  service_name="Canadian Postal Service",
                  active=True,
                  delivery_countries=["CA"],
                  currency_code="CAD",
                  delivery_time=DeliveryTime(
                      min_transit_days=0,
                      max_transit_days=3,
                      min_handling_days=0,
                      max_handling_days=3,
                  ),
                  rate_groups=[
                      RateGroup(
                          applicable_shipping_labels=[
                              "Oversized",
                              "Perishable",
                          ],
                          single_value=Value(price_percentage="5.4"),
                          name="Oversized and Perishable items",
                      )
                  ],
                  shipment_type=Service.ShipmentType.DELIVERY,
                  minimum_order_value={
                      "amount_micros": 10000000,
                      "currency_code": "CAD",
                  },
              )
          ],
      ),
  )

  # Makes the request and prints the inserted ShippingSettings name.
  try:
    response = client.insert_shipping_settings(request=request)
    print("Inserted ShippingSettings below")
    print(response)
    # You can apply ShippingSettings to specific products by using the
    # `shippingLabel` field on the product.
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  insert_shipping_settings()

Как получить настройки доставки

В приведенных ниже запросах показано, как получить настройки доставки аккаунта Merchant Center:

HTTP

GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings

cURL

curl \
'https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings' \
--header 'Authorization: Bearer {ACCESS_TOKEN}' \
--header 'Accept: application/json' \
--compressed

Ниже приведен пример кода, который можно использовать для получения информации о настройках доставки для определенного аккаунта с помощью клиентских библиотек:

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.GetShippingSettingsRequest;
import com.google.shopping.merchant.accounts.v1.ShippingSettings;
import com.google.shopping.merchant.accounts.v1.ShippingSettingsName;
import com.google.shopping.merchant.accounts.v1.ShippingSettingsServiceClient;
import com.google.shopping.merchant.accounts.v1.ShippingSettingsServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/** This class demonstrates how to get the ShippingSettings for a given Merchant Center account. */
public class GetShippingSettingsSample {

  public static void getShippingSettings(Config config) throws Exception {

    // Obtains OAuth token based on the user's configuration.
    GoogleCredentials credential = new Authenticator().authenticate();

    // Creates service settings using the credentials retrieved above.
    ShippingSettingsServiceSettings shippingSettingsServiceSettings =
        ShippingSettingsServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Creates ShippingSettings name to identify ShippingSettings.
    String name =
        ShippingSettingsName.newBuilder()
            .setAccount(config.getAccountId().toString())
            .build()
            .toString();

    // Calls the API and catches and prints any network failures/errors.
    try (ShippingSettingsServiceClient shippingSettingsServiceClient =
        ShippingSettingsServiceClient.create(shippingSettingsServiceSettings)) {

      // The name has the format: accounts/{account}/shippingSettings
      GetShippingSettingsRequest request =
          GetShippingSettingsRequest.newBuilder().setName(name).build();

      System.out.println("Sending Get ShippingSettings request:");
      ShippingSettings response = shippingSettingsServiceClient.getShippingSettings(request);

      System.out.println("Retrieved ShippingSettings below");
      System.out.println(response);
    } catch (Exception e) {
      System.out.println(e);
    }
  }

  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    getShippingSettings(config);
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\ShippingSettingsServiceClient;
use Google\Shopping\Merchant\Accounts\V1\GetShippingSettingsRequest;

/**
 * This class demonstrates how to get the ShippingSettings for a given Merchant Center account.
 */
class GetShippingSettings
{

    /**
     * Retrieves the shipping settings for the specified Merchant Center account.
     *
     * @param array $config The configuration data containing the account ID.
     * @return void
     */
    public static function getShippingSettings($config)
    {
        // Gets the OAuth credentials to make the request.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Creates options config containing credentials for the client to use.
        $options = ['credentials' => $credentials];

        // Creates a client.
        $shippingSettingsServiceClient = new ShippingSettingsServiceClient($options);

        // Creates ShippingSettings name to identify ShippingSettings.
        // The name has the format: accounts/{account}/shippingSettings
        $name = "accounts/" . $config['accountId'] . "/shippingSettings";


        // Calls the API and catches and prints any network failures/errors.
        try {
            $request = (new GetShippingSettingsRequest())
                ->setName($name);

            print "Sending Get ShippingSettings request:" . PHP_EOL;
            $response = $shippingSettingsServiceClient->getShippingSettings($request);

            print "Retrieved ShippingSettings below" . PHP_EOL;
            print_r($response);
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();
        // Makes the call to get shipping settings for the MC account.
        self::getShippingSettings($config);
    }
}

// Run the script
$sample = new GetShippingSettings();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import GetShippingSettingsRequest
from google.shopping.merchant_accounts_v1 import ShippingSettingsServiceClient

_ACCOUNT = configuration.Configuration().read_merchant_info()
_PARENT = f"accounts/{_ACCOUNT}"


def get_shipping_settings():
  """Gets the ShippingSettings for a given Merchant Center account."""

  # Gets OAuth Credentials.
  credentials = generate_user_credentials.main()

  # Creates a client.
  client = ShippingSettingsServiceClient(credentials=credentials)

  # Creates the Shipping Settings name
  name = _PARENT + "/shippingSettings"

  # Creates the request.
  request = GetShippingSettingsRequest(name=name)

  # Makes the request and prints the retrieved ShippingSettings.
  try:
    response = client.get_shipping_settings(request=request)
    print("Retrieved ShippingSettings below")
    print(response)
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  get_shipping_settings()

Как добавить настройки склада

Чтобы добавить или изменить настройки склада, на котором хранится и обрабатывается инвентарь вашего аккаунта, используйте метод accounts.shippingSettings.insert.

Вот как управлять складами с помощью Merchant API:

  1. Чтобы получить все существующие значения shippingsettings и warehouses, отправьте запрос GET с помощью метода accounts.shippingSettings.getShippingSettings.

  2. Создайте запрос с помощью метода account.shippingSettings.insert. Скопируйте ресурс shippingsettings из ответа на запрос GET в запрос на вставку.

  3. Чтобы добавить информацию о складах с помощью вызова insert, укажите сведения о них в ресурсе warehouses в теле запроса.

  4. Выполните запрос на вставку.

В примере запроса ниже показано, как использовать метод accounts.shippingSettings.insert, чтобы изменить настройки склада для аккаунта. В запросе указывается время, когда можно принять заказ и начать его обработку, количество дней на обработку и адрес доставки.

POST https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings:insert

{
  "etag": "",
  "name": "accounts/{ACCOUNT_ID}/shippingSetting",
  "warehouses": [
    {
      "cutoffTime": {
        "hour": 7,
        "minute": 50
      },
      "handlingDays": 7,
      "name": "{WAREHOUSE_NAME}",
      "shippingAddress": {
        "streetAddress": "{ADDRESS}",
        "administrativeArea": "CA",
        "city": "{CITY_NAME}",
        "postalCode": "{POSTAL_CODE}",
        "regionCode": "{REGION_CODE}"
      }
    }
  ]
}

Замените следующее:

  • {ACCOUNT_ID} – уникальный идентификатор вашего аккаунта Merchant Center.
  • {WAREHOUSE_NAME} – название склада.
  • {ADDRESS} – адрес доставки на склад.
  • {CITY_NAME} – город, поселок или коммуна. а также зависимые или подчиненные населенные пункты. например районы или пригороды.
  • {POSTAL_CODE} – почтовый индекс. Например, 94043.
  • {REGION_CODE} – код страны CLDR. Пример: US.

Вот пример ответа на успешный вызов:

{
  "name": "accounts/{ACCOUNT_ID}/shippingSettings",
  "warehouses": [
    {
      "name": "{WAREHOUSE_NAME}",
      "shippingAddress": {
        "streetAddress": "{ADDRESS}",
        "city": "{CITY_NAME}",
        "administrativeArea": "CA",
        "postalCode": "{POSTAL_CODE}",
        "regionCode": "{REGION_CODE}"
      },
      "cutoffTime": {
        "hour": 7,
        "minute": 50
      },
      "handlingDays": "7",
      "businessDayConfig": {
        "businessDays": [
          "MONDAY",
          "TUESDAY",
          "WEDNESDAY",
          "THURSDAY",
          "FRIDAY"
        ]
      }
    }
  ],
  "etag": "OAJiUAjB0au+FBABGgR0ZXN0Ii4KAlVTGgJDQSoKQ2FsaWZvcm5pYWIFOTQwNDNyETExMXcgMzFzdCBTdHJlZXQuKgQIBxAyMAc4ATgCOAM4BDgF"
}

Как задать группы почтовых индексов

Используйте вложенный API "Аккаунты", чтобы управлять регионами, которые называются postalCodeGroups, в аккаунте Merchant Center.

Ресурс postalCodeGroups представляет собой список групп, где каждая группа – это список почтовых индексов с одинаковыми настройками доставки.

Чтобы управлять postalCodeGroups с помощью Merchant API, выполните следующие действия:

  1. Выполните вызов get, чтобы получить все объекты shippingsettings и postalCodeGroups.

  2. Скопируйте shippingsettings из вызова get в вызов update.

  3. Если вы не используете ярлыки времени транспортировки в своей службе доставки, удалите из тела запроса следующую запись:

        "transitTimeLabels": [
        "all other labels"
    ],
    
  4. Укажите регионы, которые вы хотите использовать, в разделе postalCodeGroups для вызова update.

  5. Выполните вызов update с ресурсами shippingsettings и postalCodeGroups.

Как добавить доставку в день заказа

При наличии местного ассортимента вы можете использовать Merchant API для настройки услуг доставки в день заказа. Подробнее о том, как добавить информацию о товарах в магазинах (addlocalinventory)…

У служб доставки в день заказа в качестве значения атрибута "тип доставки" [shipmentType] указан вариант местная доставка.

Обратите внимание на следующее:

  • Все службы доставки, указанные в атрибуте local_delivery, считаются службами доставки в день заказа.
  • Вы не можете изменить информацию о deliveryTime для местных доставок.

Чтобы настроить доставку в день заказа для товаров местного ассортимента, используйте метод accounts.shippingSettings.insert.

Ниже приведен пример запроса, в котором заданы тип доставки, storeConfig (список магазинов, из которых доставляются товары) и группы тарифов.

POST https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/shippingSettings:insert

{
  "etag": "",
  "name": "accounts/{ACCOUNT_ID}/shippingSetting",
  "services": [
    {
      "deliveryCountries": [
        "{COUNTRY_CODE}"
      ],
      "serviceName": "{SERVICE_NAME}",
      "active": false,
      "currencyCode": "{CURRENCY_CODE}",
      "shipmentType": "{SHIPMENT_TYPE}",
      "storeConfig": {
        "cutoffConfig": {
          "localCutoffTime": {
            "hour": 7,
            "minute": 40
          }
        },
        "serviceRadius": {
          "unit": "KILOMETERS",
          "value": 40
        },
        "storeCodes": [],
        "storeServiceType": "ALL_STORES"
      },
      "rateGroups": [
        {
          "applicableShippingLabels": [
            "{SHIPPING_LABEL}"
          ],
          "singleValue": {
            "flatRate": {
              "amountMicros": {PRICE},
              "currencyCode": "{CURRENCY_CODE}"
            }
          }
        }
      ]
    }
  ]
}

Замените следующее:

  • {SHIPMENT_TYPE}: типы местоположений, в которые сервис доставляет заказы, в том числе:
    • SHIPMENT_TYPE_UNSPECIFIED
    • DELIVERY
    • LOCAL_DELIVERY
    • COLLECTION_POINT
  • {SHIPPING_LABEL} – список транспортных этикеток, определяющих товары, к которым относится группа тарифов.

Вот пример ответа на успешный вызов:

{
  "name": "accounts/{ACCOUNT_ID}/shippingSettings",
  "services": [
    {
      "serviceName": "{SERVICE_NAME}",
      "active": false,
      "deliveryCountries": [
        "{COUNTRY_CODE}"
      ],
      "currencyCode": "{CURRENCY_CODE}",
      "rateGroups": [
        {
          "applicableShippingLabels": [
            "{SHIPPING_LABEL}"
          ],
          "singleValue": {
            "flatRate": {
              "amountMicros": "{PRICE}",
              "currencyCode": "{CURRENCY_CODE}"
            }
          }
        }
      ],
      "shipmentType": "{SHIPMENT_TYPE}",
      "storeConfig": {
        "storeServiceType": "ALL_STORES",
        "cutoffConfig": {
          "localCutoffTime": {
            "hour": "7",
            "minute": "40"
          },
          "noDeliveryPostCutoff": false
        },
        "serviceRadius": {
          "value": "40",
          "unit": "KILOMETERS"
        }
      }
    }
  ],
  "etag": "OAJCTQgBEAAaRwoEdGVzdBIEIgJVUxoDVVNEIggiBggHECgoACoeCAESDwoNCAESCU9WRVJTSVpFRBoJIgcIAhCAwtcvWAWSAQCaAQQIAhAo"
}

Как добавить доставку на следующий день

Если заказ оформлен после крайнего срока доставки в день заказа, по умолчанию будет указана доставка на следующий день.

Чтобы отключить доставку на следующий день, задайте для атрибута no_delivery_post_cutoff значение true.

Если вы отключите доставку на следующий день, ваши службы доставки будут видны только до крайнего срока заказа для обработки в тот же день.

Доставка на следующий день доступна только в том случае, если для атрибута "тип доставки" [shipmentType] задано значение местная доставка [local_delivery].

Как добавить правила возврата

Если вы продвигаете товары с помощью товарной рекламы или бесплатных предложений, то можете создавать, просматривать, изменять и удалять правила возврата товаров, приобретенных онлайн, с помощью атрибута returnpolicyonline. Для этого атрибута доступны следующие значения:

Для товаров, которые продаются через товарную рекламу или бесплатные предложения, адрес для возвратов не требуется.

Подробнее о том, как настроить правила возврата для товарных объявлений и бесплатных предложений…

Чтобы добавить правила возврата, используйте метод returnpolicyonline.create. Ответ содержит обновленные правила.

POST https://merchantapi.googleapis.com/v1/{ACCOUNT_ID}/returnpolicyonline